> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Tag Value

> **Scopes:** `tag:create`



## OpenAPI

````yaml /api-reference/openapi.json post /v0/business/{business_id}/tag-values
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/tag-values:
    post:
      tags:
        - Tag
      summary: Create a Tag Value
      description: '**Scopes:** `tag:create`'
      operationId: create_tag_value_v0_business__business_id__tag_values_post
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            description: The id of the business
            examples:
              - biz_GA6EG2qFxA97NZHtxeLPUy
            type: string
            format: biz_string
            title: Business Id
          description: The id of the business
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTagValueRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TagValueSuccess'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - tag:create
components:
  schemas:
    CreateTagValueRequest:
      properties:
        tag_field_id:
          type: string
          format: tf_string
          title: Tag Field Id
          description: The ID of the tag field to add the tag value to
          examples:
            - tf_KtY7p9fsM4pB58SYNar7cu
        name:
          type: string
          maxLength: 255
          title: Name
          description: The tag value name
          examples:
            - job-123
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
          description: Optional metadata for the tag value
      type: object
      required:
        - tag_field_id
        - name
      title: CreateTagValueRequest
    TagValueSuccess:
      properties:
        data:
          $ref: '#/components/schemas/TagValuePublic'
      type: object
      required:
        - data
      title: TagValueSuccess
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    TagValuePublic:
      properties:
        id:
          type: string
          format: tv_string
          title: Id
          description: The ID of the tag value
          examples:
            - tv_GA6EG2qFxA97NZHtxeLPUy
        tag_field_id:
          type: string
          format: tf_string
          title: Tag Field Id
          description: The ID of the parent tag field
          examples:
            - tf_KtY7p9fsM4pB58SYNar7cu
        name:
          type: string
          title: Name
          description: The tag value name
          examples:
            - job-123
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
          description: Optional metadata
      type: object
      required:
        - id
        - tag_field_id
        - name
      title: TagValuePublic
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````